View Issue Details

IDProjectCategoryView StatusLast Update
0001441bareos-corewebuipublic2022-03-29 14:13
Reportermdc Assigned Tofrank  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64OSCentOSOS Versionstream 8
Summary0001441: Unable to view the pool details, when the pool name contains an space char.
DescriptionThe resulting url will be:
"https:/XXXX/pool/details/Bareos database" for example, when the pool is named "Bareos database"
An the call will failed with:

A 404 error occurred
Page not found.

The requested URL could not be matched by routing.
No Exception available
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

frank

frank

2022-03-29 14:13

manager   ~0004555

Fix committed to bareos master branch with changesetid 16093.

Related Changesets

bareos: master 90dbf701

2022-03-24 14:49:08

frank

Ported: N/A

Details Diff
webui: get volume and pool params from query instead of route

Fixes 0001441: Unable to view the pool details, when the pool name contains an space char
Affected Issues
0001441
mod - webui/module/Media/src/Media/Controller/MediaController.php Diff File
mod - webui/module/Pool/src/Pool/Controller/PoolController.php Diff File
mod - webui/public/js/bootstrap-table-formatter.js Diff File

Issue History

Date Modified Username Field Change
2022-03-22 13:59 mdc New Issue
2022-03-23 15:42 bruno-at-bareos Assigned To => frank
2022-03-23 15:42 bruno-at-bareos Status new => assigned
2022-03-29 14:13 frank Changeset attached => bareos master 90dbf701
2022-03-29 14:13 frank Note Added: 0004555
2022-03-29 14:13 frank Status assigned => resolved
2022-03-29 14:13 frank Resolution open => fixed